summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl30
1 files changed, 16 insertions, 14 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index fa14e9279d5..49c46849485 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -19,14 +19,14 @@ test -d $raw || mkdir $raw
cd $raw || exit 1
if test "x$1" = x--help; then
- echo "Usage: $0 [--place] [--no-ctan] TLPKGNAME"
+ echo "Usage: $0 [--place] [--no-ctan] [--git] TLPKGNAME"
echo
echo "Install a package from CTAN into TeX Live."
echo
- echo "--place, -p perform repository adds/removes."
- echo "--no-ctan if already have files in Build/tmp.raw/PKG."
- echo "--contrib for https://contrib.texlive.info"
- echo "--git for git"
+ echo "--place,-p,p perform repository adds/removes."
+ echo "--no-ctan if already have files in Build/tmp.raw/PKG."
+ echo "--contrib for https://contrib.texlive.info."
+ echo "--git for git."
echo
echo "This never actually commits anything to the repository,"
echo "but it does svn update the potentially affected directories."
@@ -45,19 +45,18 @@ copy_from_ctan=true
contrib_ctan2tds_arg=
contrib_place_arg=
mode=svn
-while true; do
+pkg=
+while test $# -gt 0; do
case "$1" in
- '-p'|'--place')
+ 'p'|'-p'|'--place')
place_chicken=
shift;;
'--no-ctan')
copy_from_ctan=false
shift;;
'--contrib')
- do_contrib=true
- shift
- contrib_place="$1"
- shift
+ do_contrib=true; shift
+ contrib_place="$1"; shift
contrib_ctan2tds_arg=--contrib
contrib_place_arg="--contrib=$contrib_place --mode=git"
;;
@@ -65,12 +64,15 @@ while true; do
mode="git"
shift;;
*)
- break
- ;;
+ if test -n "$pkg"; then
+ echo "$0: package $pkg already specified, unexpected second: $1" >&2
+ exit 1
+ fi
+ pkg=$1
+ shift;;
esac
done
-pkg=$1
if test -z "$pkg"; then
echo "$0: no TL package name specified." >&2
exit 1